org.aspectj.lang.reflect

## Interface DeclareAnnotation

All Known Implementing Classes:
  DeclareAnnotationImpl

    public interface DeclareAnnotation

The AspectJ runtime representation of a declare annotation member in an aspect.

### Nested Class Summary

Nested Classes
`static class` `DeclareAnnotation.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Annotation` `getAnnotation()`
`String` `getAnnotationAsText()`
`AjType<?>` `getDeclaringType()`
`DeclareAnnotation.Kind` `getKind()`
`SignaturePattern` `getSignaturePattern()`
`TypePattern` `getTypePattern()`

### Method Detail

#### getDeclaringType

    AjType<?> getDeclaringType()

Returns:
  the aspect that declared this member.

#### getKind

    DeclareAnnotation.Kind getKind()

Returns:
  the target element kind

#### getSignaturePattern

    SignaturePattern getSignaturePattern()

Returns:
  the target signature pattern. Returns null if getKind() == Type

#### getTypePattern

    TypePattern getTypePattern()

Returns:
  the target type pattern. Returns null if getKind() != Type

#### getAnnotation

    Annotation getAnnotation()

Returns:
  the declared annotation. If the declared annotation does not have runtime retention, this method returns null.

#### getAnnotationAsText

    String getAnnotationAsText()

Returns:
  the text of the annotation as declared in this member. Available for both runtime and class-file retention annotations